package org.jeecg.modules.dynamicStaticAnalysis.entity;

    import com.baomidou.mybatisplus.annotation.TableField;
    import com.baomidou.mybatisplus.annotation.TableId;
    import com.baomidou.mybatisplus.annotation.TableName;
    import java.io.Serializable;
    import java.util.Date;
    import io.swagger.annotations.ApiModel;
    import io.swagger.annotations.ApiModelProperty;
    import lombok.Getter;
    import lombok.Setter;

/**
* <p>
    * 动静态分析-分析批次-单元设备派工表
    * </p>
*
* @author hkl
* @since 2023-08-30
*/
    @Getter
    @Setter
    @ApiModel(value = "AnalysisBatchUnitDeviceWork对象", description = "动静态分析-分析批次-单元设备派工表")

public class AnalysisBatchUnitDeviceWorkDTO {


    private static final long serialVersionUID = 1L;

            @ApiModelProperty("主键")
    private String id;

            @ApiModelProperty("创建人")
    private String createBy;

            @ApiModelProperty("创建日期")
    private Date createTime;

            @ApiModelProperty("更新人")
    private String updateBy;

            @ApiModelProperty("更新时间")
    private Date updateTime;

            @ApiModelProperty("分析批次单元设备id")
    private String analysisBatchUnitDeviceId;

            @ApiModelProperty("分析批次号")
    private String analysisBatchCode;

            @ApiModelProperty("分析批id")
    private String analysisBatchId;

            @ApiModelProperty("单元设备id")
    private String unitId;

            @ApiModelProperty("单元设备code")
    private String unitCode;

            @ApiModelProperty("设备单元类型1-钢轨,2-曲线,3-竖曲线,4-道岔")
    private Integer unitType;

            @ApiModelProperty("设备单元类型名称")
    private String unitTypeName;

            @ApiModelProperty("派工原因")
    private Integer workReason;

            @ApiModelProperty("备注")
    private String remark;


}
